<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_aux_unid.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $pt = $_POST['pt'];
    $pc_d = $_POST['pc_d'];
    $pc_d_ = str_replace(',','.',str_replace('.','',$pc_d));
    $atualizar=$pdo_sgt->prepare("UPDATE tb_map_canal SET pc_d=:pc_d WHERE id=:id");
    $atualizar->bindValue(":pc_d",$pc_d_);
    $atualizar->bindValue(":id",$id);
    $atualizar->execute();
    $mensagem = "Dado alterado na tabela: tb_map_canal - "
        . "Para os campos: pc_d - Com o seguinte valore: $pc_d_ - Do id: $id.";
    salvaLog($mensagem);
    echo"<script language='javascript' type='text/javascript'>
        window.location.href='list_canal.php#id".$pt."';
    </script>";
?>